## Versioning Macros Versioning Macros — Versioning Macros |

## Functions

#define | CLUTTER_GST_MAJOR_VERSION
#define | CLUTTER_GST_MINOR_VERSION
#define | CLUTTER_GST_MICRO_VERSION
#define | CLUTTER_GST_VERSION
#define | CLUTTER_GST_VERSION_HEX
#define | CLUTTER_GST_CHECK_VERSION()

## Types and Values

#define | CLUTTER_GST_VERSION_S

## Description

Version checking macros.

## Functions

### CLUTTER_GST_MAJOR_VERSION

    #define CLUTTER_GST_MAJOR_VERSION   (3)

ClutterGst major version (e.g. "1", if `CLUTTER_GST_VERSION` is "1.2.3")

### CLUTTER_GST_MINOR_VERSION

    #define CLUTTER_GST_MINOR_VERSION   (0)

ClutterGst minor version (e.g. "2", if `CLUTTER_GST_VERSION` is "1.2.3")

### CLUTTER_GST_MICRO_VERSION

    #define CLUTTER_GST_MICRO_VERSION   (0)

ClutterGst micro version (e.g. "3", if `CLUTTER_GST_VERSION` is "1.2.3")

### CLUTTER_GST_VERSION

    #define CLUTTER_GST_VERSION         (3.0.0)

ClutterGst full version (e.g. "1.2.3")

### CLUTTER_GST_VERSION_HEX

    #define             CLUTTER_GST_VERSION_HEX

ClutterGst full version, encoded as an hexadecimal value.

### CLUTTER_GST_CHECK_VERSION()

    #define             CLUTTER_GST_CHECK_VERSION(major,minor,micro)

Evaluates to `TRUE` if the version of ClutterGst is greater than the `major` , `minor` and `micro` values.

#### Parameters

major | major version, like 1 in 1.2.3 |
minor | minor version, like 2 in 1.2.3 |
micro | micro version, like 3 in 1.2.3 |

## Types and Values

### CLUTTER_GST_VERSION_S

    #define CLUTTER_GST_VERSION_S       "3.0.0"

ClutterGst full version, encoded as a string.